libdap::DapObj Class Referenceabstract

libdap base object for common functionality of libdap objects More...

`#include <DapObj.h>`

Inheritance diagram for libdap::DapObj:

## Public Member Functions

virtual void | dump (ostream &strm) const =0
| dump the contents of this object to the specified ostream More...

## Detailed Description

libdap base object for common functionality of libdap objects

A base object for any libdap objects to use. Provides simple methods for dumping the contents of the object.

Definition at line 55 of file DapObj.h.

## Member Function Documentation

## dump()

virtual void libdap::DapObj::dump | ( | ostream & | strm | ) | const

pure virtual

dump the contents of this object to the specified ostream

This method is implemented by all derived classes to dump their contents, in other words, any state they might have, private variables, etc...

Parameters

  strm | C++ i/o stream to dump the object to

Implemented in libdap::DDS, libdap::AttrTable, libdap::Sequence, libdap::D4Sequence, libdap::Array, libdap::Vector, libdap::Grid, libdap::DAS, libdap::D4Enum, libdap::DMR, libdap::D4StreamMarshaller, libdap::BaseType, libdap::D4Attributes, libdap::D4StreamUnMarshaller, libdap::Constructor, libdap::DataDDS, libdap::Str, libdap::Int32, libdap::Structure, libdap::D4Opaque, libdap::Float32, libdap::Byte, libdap::Marshaller, libdap::Float64, libdap::Int16, libdap::UInt32, libdap::XDRStreamMarshaller, libdap::UInt16, libdap::D4Attribute, libdap::Int64, libdap::UInt64, libdap::XDRStreamUnMarshaller, libdap::Int8, libdap::UnMarshaller, libdap::XDRFileMarshaller, and libdap::XDRFileUnMarshaller.

The documentation for this class was generated from the following file:

- DapObj.h